PLplot: PLNamedMutex Class Reference

PLplot 5.15.0

Public Member Functions | Private Attributes | List of all members
PLNamedMutex Class Reference

`#include "wxwidgets_comms.h"`

## Public Member Functions
| PLNamedMutex ()
| ~PLNamedMutex ()
| PLNamedMutex (const char *name, bool aquireOnCreate=false)
void | create (const char *name, bool aquireOnCreate=false)
void | clear ()
void | aquire ()
bool | aquire (unsigned long millisecs)
bool | aquireNoWait ()
void | release ()
bool | isValid ()

## Private Attributes
bool | m_haveLock
sem_t * | m_mutex
char | m_mutexName [251]

## Detailed Description

Definition at line 222 of file wxwidgets_comms.h.

## Constructor & Destructor Documentation

## ◆ PLNamedMutex() [1/2]

PLNamedMutex::PLNamedMutex | ( |  | ) |

Definition at line 657 of file wxwidgets_comms.cpp.

## ◆ ~PLNamedMutex()

PLNamedMutex::~PLNamedMutex | ( |  | ) |

Definition at line 741 of file wxwidgets_comms.cpp.

## ◆ PLNamedMutex() [2/2]

PLNamedMutex::PLNamedMutex | ( | const char * | name,
|  | bool | aquireOnCreate = `false`
| ) |  |

Definition at line 663 of file wxwidgets_comms.cpp.

## Member Function Documentation

## ◆ aquire() [1/2]

void PLNamedMutex::aquire | ( |  | ) |

Definition at line 683 of file wxwidgets_comms.cpp.

## ◆ aquire() [2/2]

bool PLNamedMutex::aquire | ( | unsigned long | millisecs | ) |

Definition at line 696 of file wxwidgets_comms.cpp.

## ◆ aquireNoWait()

bool PLNamedMutex::aquireNoWait | ( |  | ) |

Definition at line 706 of file wxwidgets_comms.cpp.

## ◆ clear()

void PLNamedMutex::clear | ( |  | ) |

Definition at line 729 of file wxwidgets_comms.cpp.

## ◆ create()

void PLNamedMutex::create | ( | const char * | name,
|  | bool | aquireOnCreate = `false`
| ) |  |

Definition at line 670 of file wxwidgets_comms.cpp.

## ◆ isValid()

bool PLNamedMutex::isValid | ( |  | ) |

Definition at line 752 of file wxwidgets_comms.cpp.

## ◆ release()

void PLNamedMutex::release | ( |  | ) |

Definition at line 716 of file wxwidgets_comms.cpp.

## Member Data Documentation

## ◆ m_haveLock

bool PLNamedMutex::m_haveLock
| private

Definition at line 236 of file wxwidgets_comms.h.

## ◆ m_mutex

sem_t* PLNamedMutex::m_mutex
| private

Definition at line 240 of file wxwidgets_comms.h.

## ◆ m_mutexName

char PLNamedMutex::m_mutexName[251]
| private

Definition at line 241 of file wxwidgets_comms.h.

The documentation for this class was generated from the following files:

- wxwidgets_comms.h
- wxwidgets_comms.cpp